/// <reference types="tripetto-runner-foundation/dist/types/tripetto.vfsm" />
/** Dependencies */
import { NodeBlock, Slots } from "tripetto-runner-foundation";
import { TValidation } from "./validation";
import "./condition";
export declare abstract class Email extends NodeBlock<{
    readonly validation?: TValidation;
}> {
    /** Contains the email slot with the value. */
    readonly emailSlot: import("tripetto-runner-foundation").Value<string, Slots.String>;
    /** Contains if the block is required. */
    readonly required: boolean;
    validate(): boolean;
}
